# Created by pyp2rpm-3.3.5
%global pypi_name azure-core

Name:           python-%{pypi_name}
Version:        1.25.1
Release:        %mkrel 1
Summary:        Microsoft Azure Core Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/master/sdk/core/azure-core
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(typing-extensions)

%description
Azure core library defines basic exceptions and shared
modules those are needed when you use client libraries. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(requests)
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
Azure core library defines basic exceptions and shared
modules those are needed when you use client libraries.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc samples/README.md



%changelog
* Mon Sep 05 2022 neoclust <neoclust> 1.25.1-1.mga9
+ Revision: 1884035
- New version 1.25.1

* Wed Jul 13 2022 papoteur <papoteur> 1.24.2-1.mga9
+ Revision: 1868743
- imported package python-azure-core

